it-swarm.it

Aggiornamento del firmware per iPod Touch (iPhone)?

Devo aggiornare il firmware del mio iPod Touch (iPhone) in Ubuntu e poiché ho iPod Touch con jailbreak ho bisogno di iTunes per installare le app, ma sfortunatamente non ho ancora trovato alcun modo per farlo in Ubuntu. So che è possibile usare VirtualBox o Wine, ma ancora nella maggior parte delle volte iTunes non vuole lavorare su Wine e per VirtualBox ho bisogno di installare nuovamente quella Windows da cui sono passato a Ubuntu solo pochi mesi fa e non voglio tornarci.

Cosa fanno in questo caso gli utenti Linux che hanno iPod Touch (iPhone)?

Qualsiasi suggerimento per risolvere il problema sarà soddisfatto.

E infine, quanto tempo passerà prima che Apple sviluppi iTunes per il sistema operativo Linux?

18
Bakhtiyor

Sebbene al momento alcune versioni precedenti di iTunes possano funzionare con Wine (o Crossover), non possono essere utilizzate per aggiornare o sincronizzare i nuovi iPod

Il motivo è che a Wine manca un gestore per i driver di dispositivo USB di Windows e l'iPod funge da dispositivo USB personalizzato. Questo è lo stesso motivo per cui il software che richiede un dongle chiave speciale non funziona (ancora) in Wine. Ci sono alcune patch preliminari disponibili per questo, e puoi leggere più cronologia sul Wine wiki , tuttavia non aspettarti che funzioni nulla.

Gli unici iPod che attualmente funzionano in Wine sono davvero vecchi iPod che fungono da semplici dispositivi di archiviazione di massa USB. E anche allora devi ancora trovare un vecchio iTunes funzionante.

A causa di questo problema in Wine, per eseguire l'aggiornamento del firmware dovrai installare una macchina virtuale con Virtualbox o VMware o, forse più semplicemente, prendere in prestito il computer di qualcun altro.

9
Scott Ritchie

Non so se funziona con il tuo iPod touch, ma funziona con i miei iPod più vecchi: http://code.google.com/p/iPod-update/

4
manyxcxi

Guardando Crossoverpagina per iTunes , un paio di versioni hanno funzionato in qualche modo. Il crossover costa denaro, ma può valerne la pena.

3
Michael Crenshaw

L'aggiornamento del firmware non ha funzionato per me: Ubuntu 8.04 LTS con vmplayer e un vecchio XP con iTunes.

Nessuna possibilità. l'iPhone è rimasto fuori servizio per il resto della giornata fino a quando non l'ho collegato al mio PC Windows sul lato lavoro.

Da questo punto di vista: i prodotti Apple sono assolutamente No-Go! Perché ho bisogno di Windows o Mac con iTunes per avere un telefono? Dove si afferma che per acquistare quella "cosa magica" ho bisogno di un iTunes in esecuzione per farlo funzionare? Chi conosce i costi prima?

3
Ice

libimobiledevice

È ancora sperimentale ma dovresti selezionare libimobiledevice . Non esiste ancora una GUI, ma stanno lavorando per far funzionare i modelli di iPod touch su Linux (incluso il software di aggiornamento e downgrade).


Modifica: Secondo buntu Wiki questa è l'impostazione predefinita da almeno 14.04 e implementata in vari progetti. Controlla le notizie e lo stato sulla pagina del progetto libimobiledevice per i dettagli. Attualmente affermano di supportare iOS 9, che era ancora in beta al momento della stesura.

2
PierreS

Mi sono stancato di aggiornare il mio firmware iPhone da v2 a v3 utilizzando iTunes in esecuzione in VMware. Il processo ha interrotto il flusso intermedio e l'iPhone è stato reso inutile. L'ho collegato ai computer Windows di un amico e dopo diversi tentativi di aggiornamento è tornato in vita.

Tuttavia, gli aggiornamenti con le stesse versioni principali hanno funzionato bene in iTunes/VMware.

0
A.B.